<!doctype html>
{% load staticfiles %}
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">       

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href={% static 'css/bootstrap.min.css'%}>    
    {% block style %}{% endblock %}    
    <title>{% block title %}{% endblock %}</title>
  </head>
  <body>
  <header></header>
      <nav class="navbar navbar-expand-sm navbar-dark bg-primary mb-3">
    <div class="container">
        <a class="navbar-brand" href="{% url 'library:index'%}">Caleb University Library</a>
        <button class="navbar-toggler" data-toggle="collapse" data-target="#navbarNav"><span class="navbar-toggler-icon"></span></button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'library:index'%}">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">OPAC</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Reports</a>
                </li class="nav-item">
                <li class="nav-item">
                    <a class="nav-link" href="#">Account</a>
                </li>
            </ul>
        </div>
    </div>
    </nav>
    {% block content %}{% endblock %}

    
    {% block footer %}{% endblock %}     

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="{% static 'js/jquery-3.3.1.min.js'%}"></script>
    <script src="{% static 'js/popper.min.js'%}"></script>
    <script src="{% static 'js/bootstrap.min.js'%}"></script>
  </body>
</html>
